POST presentation_gw/Utility/GetServiceList
Documentation for 'GetServiceList'.
Request Information
Parameters
| Name | Description | Additional information |
|---|---|---|
| userId | Documentation for 'userId'. |
Define this parameter in the request body. |
Request body formats
application/json, text/json
Sample:
"ab02292b-7597-4434-a571-4f4647eb85e3"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">ab02292b-7597-4434-a571-4f4647eb85e3</guid>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Response body formats
application/json, text/json
Sample:
[
{
"serviceId": "sample string 1",
"distributorId": "sample string 2",
"serviceUserId": "2e64bb83-a431-4d66-9314-4ccfcbe496c2",
"stato": 0,
"followup": 0,
"weight": 4,
"weightStato": 5,
"enable": true
},
{
"serviceId": "sample string 1",
"distributorId": "sample string 2",
"serviceUserId": "2e64bb83-a431-4d66-9314-4ccfcbe496c2",
"stato": 0,
"followup": 0,
"weight": 4,
"weightStato": 5,
"enable": true
},
{
"serviceId": "sample string 1",
"distributorId": "sample string 2",
"serviceUserId": "2e64bb83-a431-4d66-9314-4ccfcbe496c2",
"stato": 0,
"followup": 0,
"weight": 4,
"weightStato": 5,
"enable": true
}
]
application/xml, text/xml
Sample:
<ArrayOfServiceModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Crif.Consumer.DTOApplication.Models">
<ServiceModel>
<_x003C_distributorId_x003E_k__BackingField>sample string 2</_x003C_distributorId_x003E_k__BackingField>
<_x003C_enable_x003E_k__BackingField>true</_x003C_enable_x003E_k__BackingField>
<_x003C_followup_x003E_k__BackingField>UpgradeSDP</_x003C_followup_x003E_k__BackingField>
<_x003C_serviceId_x003E_k__BackingField>sample string 1</_x003C_serviceId_x003E_k__BackingField>
<_x003C_serviceUserId_x003E_k__BackingField>2e64bb83-a431-4d66-9314-4ccfcbe496c2</_x003C_serviceUserId_x003E_k__BackingField>
<_x003C_stato_x003E_k__BackingField>NOSTATUS</_x003C_stato_x003E_k__BackingField>
<_x003C_weightStato_x003E_k__BackingField>5</_x003C_weightStato_x003E_k__BackingField>
<_x003C_weight_x003E_k__BackingField>4</_x003C_weight_x003E_k__BackingField>
</ServiceModel>
<ServiceModel>
<_x003C_distributorId_x003E_k__BackingField>sample string 2</_x003C_distributorId_x003E_k__BackingField>
<_x003C_enable_x003E_k__BackingField>true</_x003C_enable_x003E_k__BackingField>
<_x003C_followup_x003E_k__BackingField>UpgradeSDP</_x003C_followup_x003E_k__BackingField>
<_x003C_serviceId_x003E_k__BackingField>sample string 1</_x003C_serviceId_x003E_k__BackingField>
<_x003C_serviceUserId_x003E_k__BackingField>2e64bb83-a431-4d66-9314-4ccfcbe496c2</_x003C_serviceUserId_x003E_k__BackingField>
<_x003C_stato_x003E_k__BackingField>NOSTATUS</_x003C_stato_x003E_k__BackingField>
<_x003C_weightStato_x003E_k__BackingField>5</_x003C_weightStato_x003E_k__BackingField>
<_x003C_weight_x003E_k__BackingField>4</_x003C_weight_x003E_k__BackingField>
</ServiceModel>
<ServiceModel>
<_x003C_distributorId_x003E_k__BackingField>sample string 2</_x003C_distributorId_x003E_k__BackingField>
<_x003C_enable_x003E_k__BackingField>true</_x003C_enable_x003E_k__BackingField>
<_x003C_followup_x003E_k__BackingField>UpgradeSDP</_x003C_followup_x003E_k__BackingField>
<_x003C_serviceId_x003E_k__BackingField>sample string 1</_x003C_serviceId_x003E_k__BackingField>
<_x003C_serviceUserId_x003E_k__BackingField>2e64bb83-a431-4d66-9314-4ccfcbe496c2</_x003C_serviceUserId_x003E_k__BackingField>
<_x003C_stato_x003E_k__BackingField>NOSTATUS</_x003C_stato_x003E_k__BackingField>
<_x003C_weightStato_x003E_k__BackingField>5</_x003C_weightStato_x003E_k__BackingField>
<_x003C_weight_x003E_k__BackingField>4</_x003C_weight_x003E_k__BackingField>
</ServiceModel>
</ArrayOfServiceModel>